#ifndef __Elf_h__
#define __Elf_h__
#include "Thinker.h"
class Elf : public Thinker
{
protected:
	int me;
	int frozenCounter;
	int paralyzeCounter;
public:
	Elf(scGame *g);
	bool isMyTurn();
	void setMyTurn(bool turn);
	void doMyTurn();
	bool isEndOfTurn();
	void setMoveCount(int count);
	void render();
	void think();

	void paralyzeMe();
	void freezeMe();
	bool isParalyzed();
	bool isFrozen();

	void tryToAttack();
};
#endif